ReplayState
Date: 2015-09-17

org.easymock.internal

## Class ReplayState

- java.lang.Object
- - org.easymock.internal.ReplayState

- All Implemented Interfaces:
    java.io.Serializable, IMocksControlState

      public class ReplayState
      extends java.lang.Object
      implements IMocksControlState, java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReplayState(IMocksBehavior behavior)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `andAnswer(IAnswer<?> answer)`
    `void` | `andDelegateTo(java.lang.Object answer)`
    `void` | `andReturn(java.lang.Object value)`
    `void` | `andStubAnswer(IAnswer<?> answer)`
    `void` | `andStubDelegateTo(java.lang.Object delegateTo)`
    `void` | `andStubReturn(java.lang.Object value)`
    `void` | `andStubThrow(java.lang.Throwable throwable)`
    `void` | `andThrow(java.lang.Throwable throwable)`
    `void` | `andVoid()`
    `void` | `assertRecordState()`
    `void` | `asStub()`
    `void` | `callback(java.lang.Runnable runnable)`
    `void` | `checkIsUsedInOneThread(boolean shouldBeUsedInOneThread)`
    `void` | `checkOrder(boolean value)`
    `java.lang.Object` | `invoke(Invocation invocation)`
    `void` | `makeThreadSafe(boolean threadSafe)`
    `void` | `replay()`
    `void` | `setDefaultReturnValue(java.lang.Object value)`
    `void` | `setDefaultThrowable(java.lang.Throwable throwable)`
    `void` | `setDefaultVoidCallable()`
    `void` | `times(Range range)`
    `void` | `verify()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReplayState

          public ReplayState(IMocksBehavior behavior)

  - ### Method Detail

    - #### invoke

          public java.lang.Object invoke(Invocation invocation)
                                  throws java.lang.Throwable

      Specified by:
        `invoke` in interface `IMocksControlState`
      Throws:
        `java.lang.Throwable`

    - #### verify

          public void verify()

      Specified by:
        `verify` in interface `IMocksControlState`

    - #### replay

          public void replay()

      Specified by:
        `replay` in interface `IMocksControlState`

    - #### callback

          public void callback(java.lang.Runnable runnable)

    - #### checkOrder

          public void checkOrder(boolean value)

      Specified by:
        `checkOrder` in interface `IMocksControlState`

    - #### makeThreadSafe

          public void makeThreadSafe(boolean threadSafe)

      Specified by:
        `makeThreadSafe` in interface `IMocksControlState`

    - #### checkIsUsedInOneThread

          public void checkIsUsedInOneThread(boolean shouldBeUsedInOneThread)

      Specified by:
        `checkIsUsedInOneThread` in interface `IMocksControlState`

    - #### andReturn

          public void andReturn(java.lang.Object value)

      Specified by:
        `andReturn` in interface `IMocksControlState`

    - #### andThrow

          public void andThrow(java.lang.Throwable throwable)

      Specified by:
        `andThrow` in interface `IMocksControlState`

    - #### andAnswer

          public void andAnswer(IAnswer<?> answer)

      Specified by:
        `andAnswer` in interface `IMocksControlState`

    - #### andDelegateTo

          public void andDelegateTo(java.lang.Object answer)

      Specified by:
        `andDelegateTo` in interface `IMocksControlState`

    - #### andVoid

          public void andVoid()

      Specified by:
        `andVoid` in interface `IMocksControlState`

    - #### andStubReturn

          public void andStubReturn(java.lang.Object value)

      Specified by:
        `andStubReturn` in interface `IMocksControlState`

    - #### andStubThrow

          public void andStubThrow(java.lang.Throwable throwable)

      Specified by:
        `andStubThrow` in interface `IMocksControlState`

    - #### andStubAnswer

          public void andStubAnswer(IAnswer<?> answer)

      Specified by:
        `andStubAnswer` in interface `IMocksControlState`

    - #### andStubDelegateTo

          public void andStubDelegateTo(java.lang.Object delegateTo)

      Specified by:
        `andStubDelegateTo` in interface `IMocksControlState`

    - #### asStub

          public void asStub()

      Specified by:
        `asStub` in interface `IMocksControlState`

    - #### times

          public void times(Range range)

      Specified by:
        `times` in interface `IMocksControlState`

    - #### setDefaultReturnValue

          public void setDefaultReturnValue(java.lang.Object value)

    - #### setDefaultThrowable

          public void setDefaultThrowable(java.lang.Throwable throwable)

    - #### setDefaultVoidCallable

          public void setDefaultVoidCallable()

    - #### assertRecordState

          public void assertRecordState()

      Specified by:
        `assertRecordState` in interface `IMocksControlState`